Wemade Co.Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/wemade-co-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/wemade-co-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1727654400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://dart.fss.or.kr/dsaf001/main.do?rcpNo=20241114002203",
    "holding_balance": 223.0,
    "holding_net_change": 223.0,
    "transaction_value_usd": 20952857.0,
    "average_entry_value_usd": 93959.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/wemade-co-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    223.0
  ],
  [
    1783036800000,
    223.0
  ],
  [
    1783123200000,
    223.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/wemade-co-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    13711786.09
  ],
  [
    1783036800000,
    13943295.77
  ],
  [
    1783123200000,
    14068253.82
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/wemade-co-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 25100.0,
    "date": "2026-07-01",
    "high": 25100.0,
    "open": 25100.0,
    "close": 25100.0,
    "volume": 76880
  },
  {
    "low": 21250.0,
    "date": "2026-07-02",
    "high": 28600.0,
    "open": 28150.0,
    "close": 22100.0,
    "volume": 1961527
  },
  {
    "low": 18720.0,
    "date": "2026-07-03",
    "high": 21300.0,
    "open": 20850.0,
    "close": 19180.0,
    "volume": 565455
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/wemade-co-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 1.541,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/wemade-co-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -0.57,
  "six_month_return": -23.89,
  "three_month_return": -10.37
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/wemade-co-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "down"
}